(function (Drupal, once) {
  Drupal.behaviors.closeBeforeRegion = {
    attach(context) {
      once('closeBeforeRegion', document.querySelectorAll('a.lpb-enable-button')).forEach(button => {
        button.addEventListener('mousedown', function (event) {
          const lpBuilder = document.querySelector('.lp-builder');
          const hasUnsavedChanges = lpBuilder && lpBuilder.classList.contains('is_changed');

          if (hasUnsavedChanges) {
            const confirmLeave = window.confirm("You have unsaved changes. Do you want to discard them?");
            if (!confirmLeave) {
              return false;
            }
            setTimeout(() => {
              button.click();
            }, 100);
          }

          const cancelButton = document.querySelector('input.lpb-btn--cancel');
          if (cancelButton) {
            cancelButton.dispatchEvent(new Event('mousedown', { bubbles: true, cancelable: true }));
          }
        });
      });
    }
  };
})(Drupal, once);
