(function ($) {
  "use strict";

  function setCookie(name, value, days) {
    let expires = "";
    if (days) {
      const date = new Date();
      date.setTime(date.getTime() + days * 24 * 60 * 60 * 1000);
      expires = "; expires=" + date.toUTCString();
    }
    document.cookie = name + "=" + value + expires + "; path=/";
  }

  function getCookie(name) {
    const nameEQ = name + "=";
    const ca = document.cookie.split(';');
    for (var i = 0; i < ca.length; i++) {
      let c = ca[i];
      while (c.charAt(0) === ' ') {
        c = c.substring(1, c.length);
      }
      if (c.indexOf(nameEQ) === 0) {
        return c.substring(nameEQ.length, c.length);
      }
    }
    return null;
  }

  function dismissDisclaimer(disclaimer) {
    setCookie('disclaimer' + disclaimer.data('pid'), true, 31);
  }

  Drupal.behaviors.inoDisclaimer = {
    attach: function(context, settings) {
      const $elements = $(once('disclaimer-init', '.disclaimer', context));
      $elements.each(function () {
        const disclaimer = $(this);
        const closeBtn = $(this).find('.disclaimer-btn');
        const toggleBtn = $(this).find('.disclaimer-toggle');
        const disclaimerCookie = getCookie('disclaimer' + disclaimer.data('pid')) === 'true';
        if (!disclaimerCookie) {
          disclaimer.addClass('show');
        }
        closeBtn.click(function() {
          disclaimer.removeClass('show');
          dismissDisclaimer(disclaimer);
        });
        toggleBtn.click(function() {
          disclaimer.toggleClass('show');
        });
      });
    }
  };
})(jQuery);
